Subject: Re: bug#22068: 25.0.50; Delayed reaction to switching frames?

From: David Kastrup <[email-masked]>
Date: Wed, 02 Dec 2015 20:58:10 +0100

martin rudalics <[email-masked]> writes:

>>> When I do a simple (y-or-no-p "") in a single frame emacs -Q and click
>>> the left mouse button, it also gets echoed as "down-mouse-1".  But this
>>> echo disappears almost instantaneously.  With two frames and a click in
>>> the "wrong" frame the echo is persistent.
>>
>> The function in question doesn't call y-or-no-p, AFAICT.
>
> The effect is the same.
>
>> When I call the function it does call, that call does not return if it
>> gets switch-frame events.  IOW, the function that asks the question
>> doesn't know the frame was switched, and cannot do what David probably
>> wants: switch frame and reissue the question.
>
> OK.  But how can we get rid of that "switch-frame-" echo at least?

If the function is not supposed to return switch-frame events, why
doesn't it _act_ on them then?

-- 
David Kastrup